com.amazonaws.services.simpleworkflow.model

## Class LambdaFunctionTimedOutEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.LambdaFunctionTimedOutEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionTimedOutEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `LambdaFunctionTimedOut` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionTimedOutEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionTimedOutEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getScheduledEventId()` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`Long` `getStartedEventId()` The ID of the `LambdaFunctionStarted` event recorded in the history.
`String` `getTimeoutType()` The type of the timeout that caused this event.
`int` `hashCode()`
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `LambdaFunctionStarted` event recorded in the history.
`void` `setTimeoutType(LambdaFunctionTimeoutType timeoutType)` The type of the timeout that caused this event.
`void` `setTimeoutType(String timeoutType)` The type of the timeout that caused this event.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionTimedOutEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled.
`LambdaFunctionTimedOutEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `LambdaFunctionStarted` event recorded in the history.
`LambdaFunctionTimedOutEventAttributes` `withTimeoutType(LambdaFunctionTimeoutType timeoutType)` The type of the timeout that caused this event.
`LambdaFunctionTimedOutEventAttributes` `withTimeoutType(String timeoutType)` The type of the timeout that caused this event.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionTimedOutEventAttributes

    public LambdaFunctionTimedOutEventAttributes()

### Method Detail

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public LambdaFunctionTimedOutEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `LambdaFunctionScheduled` event that was recorded when this AWS Lambda function was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `LambdaFunctionStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `LambdaFunctionStarted` event recorded in the history.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `LambdaFunctionStarted` event recorded in the history.

Returns:
  The ID of the `LambdaFunctionStarted` event recorded in the history.

#### withStartedEventId

    public LambdaFunctionTimedOutEventAttributes withStartedEventId(Long startedEventId)

The ID of the `LambdaFunctionStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `LambdaFunctionStarted` event recorded in the history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeoutType

    public void setTimeoutType(String timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
See Also:
  `LambdaFunctionTimeoutType`

#### getTimeoutType

    public String getTimeoutType()

The type of the timeout that caused this event.

Returns:
  The type of the timeout that caused this event.
See Also:
  `LambdaFunctionTimeoutType`

#### withTimeoutType

    public LambdaFunctionTimedOutEventAttributes withTimeoutType(String timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LambdaFunctionTimeoutType`

#### setTimeoutType

    public void setTimeoutType(LambdaFunctionTimeoutType timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
See Also:
  `LambdaFunctionTimeoutType`

#### withTimeoutType

    public LambdaFunctionTimedOutEventAttributes withTimeoutType(LambdaFunctionTimeoutType timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LambdaFunctionTimeoutType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionTimedOutEventAttributes clone()

Overrides:
  `clone` in class `Object`